valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
77 lines (76 loc) • 2.83 kB
TypeScript
import { z } from 'zod';
export declare const sessionsEndpoint: {
readonly name: "Sessions";
readonly description: string;
readonly queryName: "RiotClientSession_FetchSessions";
readonly category: "Local Endpoints";
readonly type: "local";
readonly suffix: "product-session/v1/external-sessions";
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodRecord<z.ZodString, z.ZodObject<{
exitCode: z.ZodNumber;
exitReason: z.ZodNull;
isInternal: z.ZodBoolean;
launchConfiguration: z.ZodObject<{
arguments: z.ZodArray<z.ZodString, "many">;
executable: z.ZodString;
locale: z.ZodNullable<z.ZodString>;
voiceLocale: z.ZodNull;
workingDirectory: z.ZodString;
}, "strip", z.ZodTypeAny, {
arguments: string[];
executable: string;
locale: string | null;
voiceLocale: null;
workingDirectory: string;
}, {
arguments: string[];
executable: string;
locale: string | null;
voiceLocale: null;
workingDirectory: string;
}>;
patchlineFullName: z.ZodEnum<["VALORANT", "riot_client"]>;
patchlineId: z.ZodEnum<["", "live", "pbe"]>;
phase: z.ZodString;
productId: z.ZodEnum<["valorant", "riot_client"]>;
version: z.ZodString;
}, "strip", z.ZodTypeAny, {
exitCode: number;
exitReason: null;
isInternal: boolean;
launchConfiguration: {
arguments: string[];
executable: string;
locale: string | null;
voiceLocale: null;
workingDirectory: string;
};
patchlineFullName: "VALORANT" | "riot_client";
patchlineId: "" | "live" | "pbe";
phase: string;
productId: "riot_client" | "valorant";
version: string;
}, {
exitCode: number;
exitReason: null;
isInternal: boolean;
launchConfiguration: {
arguments: string[];
executable: string;
locale: string | null;
voiceLocale: null;
workingDirectory: string;
};
patchlineFullName: "VALORANT" | "riot_client";
patchlineId: "" | "live" | "pbe";
phase: string;
productId: "riot_client" | "valorant";
version: string;
}>>;
};
};
export type SessionsResponse = z.input<typeof sessionsEndpoint.responses['200']>;